aboutsummaryrefslogtreecommitdiffstats
path: root/tools/node_modules/expresso/deps/jscoverage/tests/recursive-exclude.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/node_modules/expresso/deps/jscoverage/tests/recursive-exclude.sh')
-rwxr-xr-xtools/node_modules/expresso/deps/jscoverage/tests/recursive-exclude.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/tools/node_modules/expresso/deps/jscoverage/tests/recursive-exclude.sh b/tools/node_modules/expresso/deps/jscoverage/tests/recursive-exclude.sh
new file mode 100755
index 0000000..4e5d42e
--- /dev/null
+++ b/tools/node_modules/expresso/deps/jscoverage/tests/recursive-exclude.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+# recursive-exclude.sh - test `--exclude' option
+# Copyright (C) 2007, 2008 siliconforks.com
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+trap 'rm -fr EXPECTED DIR' 1 2 3 15
+
+export PATH=.:..:$PATH
+
+rm -fr DIR
+rm -fr EXPECTED
+cp -r recursive.expected EXPECTED
+find EXPECTED -name .svn | xargs rm -fr
+rm EXPECTED/script.js
+cat recursive.expected/1/1.js | sed 's/@PREFIX@//g' > EXPECTED/1/1.js
+rm -fr EXPECTED/1/2
+cp ../jscoverage.css ../jscoverage-highlight.css ../jscoverage-ie.css \
+ ../jscoverage-throbber.gif \
+ ../jscoverage.html \
+ ../jscoverage.js EXPECTED
+
+$VALGRIND jscoverage --no-highlight --exclude=.svn --exclude=1/.svn --exclude=1/2/.svn --exclude 1/2 --exclude=script.js recursive DIR
+test -d DIR
+diff --strip-trailing-cr -r EXPECTED DIR
+
+rm -fr EXPECTED DIR